Subject: Re: bug#15986: df in current coreutils shows the device for loop mounts, not the file

From: Linda Walsh <[email-masked]>
Date: Thu, 28 Nov 2013 12:48:10 -0800

On 28/11/2013 09:06, Bernhard Voelker wrote:
> tag 15986 notabug
> thanks
> 
> On 11/28/2013 03:34 PM, Philipp Thomas wrote:
>> Df in older coreutils showed the file of a loop mount whereas currently it
>> shows you the loop device. This is IMHO bogus as what good is that info?
>>
>> Is this a deliberate change or a side effect of other changes? I searched
>> ChangeLog but didn't find anything relating to it (at least in my eyes).
> 
> Hi Philipp,
> 
> on systems where /etc/mtab is a regular file, 'mount' writes the name of
> the backing file into /etc/mtab.
> Nowadays, as /etc/mtab is a symlink to /proc/self/mounts, this information
> is not available to 'df' anymore**.
----

The fact that /etc/mtab is pointing to a wrongly formatted file by
default, these days, rather than being used to store user-specific mount
information, seems to be getting well-used as a reason for dropping
useful information:

(** ex: -showing the user their real "root" instead of /root,
  --     -showing the user modified  device names instead of
         what they passed to mount (i.e. showing
/dev/mapper/Hns-Home-users--  instead of /dev/HnS/Home/users-home
         - showing what options they specified rather than all
that applied at the time of mount, like:
    /dev/mapper/Backups-Backups on /backups type xfs (rw,nodiratime,relatime,\
     swalloc,attr2,largeio,inode64,allocsize=131072k,logbsize=256k,sunit=128,\
     swidth=1536,noquota)
instead of:
     /dev/Backups/Backups  /backups  xfs\
     defaults,nodiratime,swalloc,largeio,logbsize=256k,\
     inode64,allocsize=128m 2 0

Maybe if they want to substitute /etc/mtab for /proc/mounts, they should have
wondered a bit more where to get the correct information to allow for backwards
compat (I know there are other utils and /proc locations to get access to the
device you want, BUT -- they are not standard locations.  Should all of the linux
utils have to jump through hoops to provide relevant and accurate information as
specified by the user?